# SyR-e

[![Open in MATLAB Online](https://www.mathworks.com/images/responsive/global/open-in-matlab-online.svg)](https://matlab.mathworks.com/open/github/v1?repo=SyR-e/syre_public)

[![View SyR-e on File Exchange](https://www.mathworks.com/matlabcentral/images/matlab-file-exchange.svg)](https://it.mathworks.com/matlabcentral/fileexchange/158216-syr-e)

SyR-e stands for Synchronous Reluctance – evolution. It is an open-source code developed in Matlab/Octave under the Apache Version 2.0 license.

Named after the Synchronous Reluctance machine, it covers the PM-assisted SyR, Interior PM and Surface Mounted PM machine types as well.

For all the motor types, rapid finite element analysis (FEA) output evaluation and optimization based design tools are available. For SyR and PM-SyR machines, design equations are provided, augmented with the fast FEA correction feature FEAfix.


SyR-e is available for download on Sourceforge and GitHub. It runs in Matlab 2016b and later versions or Octave. The Octave distribution of UPM (Politechnic University of Madrid) is the one tested.

The installation of the magnetic FEA client FEMM is a mandatory prerequisite. The recommended FEMM version is 4.2, updated on April, 21 2019 or later.

Use the Wiki page of the syre_public repository for further information on installation and first run of SyR-e.


